curl --request GET \
--url https://api.creatify.ai/api/aurora/ \
--header 'X-API-ID: <api-key>' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.creatify.ai/api/aurora/"
headers = {
"X-API-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-ID': '<api-key>', 'X-API-KEY': '<api-key>'}};
fetch('https://api.creatify.ai/api/aurora/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.creatify.ai/api/aurora/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-ID: <api-key>",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.creatify.ai/api/aurora/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-ID", "<api-key>")
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.creatify.ai/api/aurora/")
.header("X-API-ID", "<api-key>")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.creatify.ai/api/aurora/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-ID"] = '<api-key>'
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"audio": "<string>",
"image": "<string>",
"expires_at": "<string>",
"video_output": "<string>",
"credits_used": 123,
"duration": 123,
"progress": 123,
"failed_reason": "<string>",
"media_job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"is_hidden": true,
"preview": "<string>",
"editor_url": "<string>",
"name": "<string>",
"text_prompt": "<string>",
"prompt_guidance_scale": 1,
"model_version": "aurora_v1",
"resolution": "480p",
"ttl_days": 4,
"webhook_url": "<string>"
}
]Get Aurora items
Retrieve a list of records. Optionally filter by ids (UUIDs) and/or a creation time window [created_after, created_before). The window selects records by when they were created; status and credits_used reflect their current state and can change until the job finishes (failed jobs are refunded and report 0 credits).
curl --request GET \
--url https://api.creatify.ai/api/aurora/ \
--header 'X-API-ID: <api-key>' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.creatify.ai/api/aurora/"
headers = {
"X-API-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-ID': '<api-key>', 'X-API-KEY': '<api-key>'}};
fetch('https://api.creatify.ai/api/aurora/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.creatify.ai/api/aurora/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-ID: <api-key>",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.creatify.ai/api/aurora/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-ID", "<api-key>")
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.creatify.ai/api/aurora/")
.header("X-API-ID", "<api-key>")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.creatify.ai/api/aurora/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-ID"] = '<api-key>'
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"audio": "<string>",
"image": "<string>",
"expires_at": "<string>",
"video_output": "<string>",
"credits_used": 123,
"duration": 123,
"progress": 123,
"failed_reason": "<string>",
"media_job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"is_hidden": true,
"preview": "<string>",
"editor_url": "<string>",
"name": "<string>",
"text_prompt": "<string>",
"prompt_guidance_scale": 1,
"model_version": "aurora_v1",
"resolution": "480p",
"ttl_days": 4,
"webhook_url": "<string>"
}
]Authorizations
Query Parameters
Response
- object[]
- object
Optional text prompt describing the desired visual style, atmosphere, or scene composition for the video. This can include details such as camera angles, lighting, mood, environment, subject expression, pose, motion, and other cinematic or artistic elements to guide video generation.
Aurora model version to use for video generation. Default is 'aurora_v1'. 'aurora_v1' produces higher-quality videos (1 credit per second), while 'aurora_v1_fast' renders faster with lower quality (0.5 credits per second). 'aurora_v2' (Aurora 2.0) is priced by resolution (0.7 credits per second at the default 720p), takes up to 59.7 seconds of audio and ignores prompt_guidance_scale.
aurora_v1- Aurora v1aurora_v1_fast- Aurora v1 Fastaurora_v2- Aurora v2
aurora_v1, aurora_v1_fast, aurora_v2 Output resolution. Only applies to model_version 'aurora_v2' (Aurora 2.0): '480p' (0.4 credits per second), '720p' (0.7, the default), '1080p' (1.4) or '2k' (2.8, for audio up to 14.375 seconds).
480p- 480p720p- 720p1080p- 1080p2k- 2k
480p, 720p, 1080p, 2k 
